> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RelationsSearchListProviderPersonContactActive

> Serve the active and passive texts of relations, with a given table as source (active) or destination (passive).

## "relationssearchlistproviderpersoncontactactive" MDO List

Serve the active and passive texts of relations, with a given table as source (active)
or destination (passive).

To facilitate relation searching, we need to provide a way to choose <b>which</b> relation we
would like to find. This provider supplies one list (dynamically named) for each table that
is used as a source or destination (relationdefinition --> relationtarget).

Each relation target combination supplied by relationtarget causes the relationdefinition to
appear in the correct direction, in the list for a table. Each such list is always flat.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RelationsSearchListProvider">RelationsSearchListProvider</see> class.
The name of the MDO list is 'relationssearchlistproviderpersoncontactactive'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/relationssearchlistproviderpersoncontactactive
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("relationssearchlistproviderpersoncontactactive", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                | StyleHint | ExtraInfo |
| -- | ------------------- | --------- | --------- |
| 4  | arbeidet før for    |           |           |
| 5  | sitter i styret hos |           |           |
| 7  | kjenner             |           |           |

## Related MDO Lists

* "relationssearchlistproviderpersoncontactactiveheadings"
* "relationssearchlistproviderpersoncontactactiveheadingswithallitem"
* "relationssearchlistproviderpersoncontactactiveheadingswithallitemwithnoselection"
* "relationssearchlistproviderpersoncontactactiveheadingswithnoselection"
* "relationssearchlistproviderpersoncontactactivewithallitem"
* "relationssearchlistproviderpersoncontactactivewithallitemwithnoselection"
* "relationssearchlistproviderpersoncontactactivewithnoselection"


## Related topics

- [RelationsSearchListProviderContactPersonActive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactpersonactive.md)
- [RelationsSearchListProviderPersonContactPassive](/en/api/mdo-providers/reference/relationssearchlistproviderpersoncontactpassive.md)
- [RelationsSearchListProviderContactPersonPassive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactpersonpassive.md)
- [RelationsSearchListProviderContactContactActive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactcontactactive.md)
- [RelationsSearchListProviderContactActive](/en/api/mdo-providers/reference/relationssearchlistprovidercontactactive.md)
- [RelationsSearchListProviderPersonPersonActive](/en/api/mdo-providers/reference/relationssearchlistproviderpersonpersonactive.md)
